#include <SPI.h>            
#include <Servo.h>          

#define STOP          1500  
#define SLOW          1800
#define MED           1850
#define FAST          1900
#define FASTER        1950
#define FASTEST       2000
#define controlPin       7  
#define ToasterPin       2  
#define DRY = 15;           
byte address = 0x00;        
int CS = 10;                
int sensorPin = A0;         
int PotValue = 0;           
const int sensorMin = 0;    
const int sensorMax = 1024; 
const int ToasterMin = 512; 
const int ToasterMax = 1000;

Servo servo;

void setup()
{
pinMode (CS, OUTPUT);
SPI.begin();           
delay(5);                                                     
pinMode(controlPin, OUTPUT);
digitalWrite(controlPin, LOW);                       
servo.attach(controlPin, 800, 2200);  
servo.writeMicroseconds(STOP);        
}

void loop()
{
int TempValue = analogRead(sensorPin);  
int range = map(TempValue, sensorMin, sensorMax, 0, 52);
PotValue = range;

// ****** Alternative mapping 1 ******
//if (range < DRY) {
//  PotValue = 0;
//}

// ****** Alternative mapping 2 ******
//  switch (range) {
//    case 0:    
//      PotValue = 54;
//      break;
//    case 1:   
//      PotValue = 41;
//      break;
//    case 2:    
//      PotValue = 27;
//      break;
//    case 3:    
//      PotValue = 13;
//      break;
//    case 4:    
//      PotValue = 0;
//      break;
//  }  
  
digitalPotWrite(PotValue); 

int ToasterPot = analogRead(ToasterPin); 
int pumpSpeed = map(ToasterPot, ToasterMin, ToasterMax, 4, 0); 
  switch (pumpSpeed) {
    case 0:   
      servo.writeMicroseconds(FASTEST);
      break;    
    case 1:   
      servo.writeMicroseconds(FASTER);
      break;
    case 2:   
      servo.writeMicroseconds(FAST);
      break;
    case 3:   
      servo.writeMicroseconds(MED);
      break;
    case 4:    
      servo.writeMicroseconds(SLOW);
      break;
  }
 delay (1000); 
}

int digitalPotWrite(int value) 
{
digitalWrite(CS, LOW); 
SPI.transfer(address); 
SPI.transfer(value); 
digitalWrite(CS, HIGH); 
}
